Package ru.bgcrm.plugin.bgbilling.proto.struts.action

# Class ContractTariffAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
ru.bgcrm.plugin.bgbilling.struts.action.BaseAction
ru.bgcrm.plugin.bgbilling.proto.struts.action.ContractTariffAction

public class ContractTariffAction extends BaseAction

- ## Field Summary

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, log, MAPPER, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractTariffAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.struts.action.ActionForward`
  `activateTariffOption(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `addContractTariff(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `contractTariffList(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `deletePersonalTariff(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `deleteTariffOption(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `deleteСontractTariff(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `getContractTariff(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `getPersonalTariff(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `personalTariffList(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `setContractTariff(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `tariff(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `tariffOptionEditor(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `tariffOptionList(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `updateContractTariff(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `updatePersonalTariff(DynActionForm form, ConnectionSet conSet)`

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractTariffAction

    public ContractTariffAction()

- ## Method Details

  - ### tariff

    public org.apache.struts.action.ActionForward tariff(DynActionForm form, ConnectionSet conSet) throws ParseException
    Throws:
      `ParseException`

  - ### contractTariffList

    public org.apache.struts.action.ActionForward contractTariffList(DynActionForm form, ConnectionSet conSet)

  - ### getContractTariff

    public org.apache.struts.action.ActionForward getContractTariff(DynActionForm form, ConnectionSet conSet)

  - ### addContractTariff

    public org.apache.struts.action.ActionForward addContractTariff(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### setContractTariff

    public org.apache.struts.action.ActionForward setContractTariff(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### updateContractTariff

    public org.apache.struts.action.ActionForward updateContractTariff(DynActionForm form, ConnectionSet conSet)

  - ### deleteСontractTariff

    public org.apache.struts.action.ActionForward deleteСontractTariff(DynActionForm form, ConnectionSet conSet)

  - ### personalTariffList

    public org.apache.struts.action.ActionForward personalTariffList(DynActionForm form, ConnectionSet conSet)

  - ### getPersonalTariff

    public org.apache.struts.action.ActionForward getPersonalTariff(DynActionForm form, ConnectionSet conSet)

  - ### updatePersonalTariff

    public org.apache.struts.action.ActionForward updatePersonalTariff(DynActionForm form, ConnectionSet conSet)

  - ### deletePersonalTariff

    public org.apache.struts.action.ActionForward deletePersonalTariff(DynActionForm form, ConnectionSet conSet)

  - ### tariffOptionList

    public org.apache.struts.action.ActionForward tariffOptionList(DynActionForm form, ConnectionSet conSet) throws ParseException
    Throws:
      `ParseException`

  - ### tariffOptionEditor

    public org.apache.struts.action.ActionForward tariffOptionEditor(DynActionForm form, ConnectionSet conSet)

  - ### activateTariffOption

    public org.apache.struts.action.ActionForward activateTariffOption(DynActionForm form, ConnectionSet conSet)

  - ### deleteTariffOption

    public org.apache.struts.action.ActionForward deleteTariffOption(DynActionForm form, ConnectionSet conSet) throws ParseException
    Throws:
      `ParseException`